Subject: Re: Misterious warning about file system boundaries

From: Andreas Ericsson <[email-masked]>
Date: Thu, 10 Jun 2010 10:03:27 +0200

On 06/09/2010 10:21 PM, Michael J Gruber wrote:
> Heya,
> 
> now what is going on here? After upgrading to current next I get
> 
> warning: working tree spans across filesystems but
> GIT_DISCOVERY_ACROSS_FILESYSTEM is not set.
> 
> in several repos, such as my local git.git repo. That is certainly on a
> single file system only (ext4 over lvm over luks, all on one partition,
> Fedora 13). I also get this for another repo, but not for every repo. It
> goes away when I set the var and comes back when I don't set it, of course.
> 
> Although I haven't bisected this should be due to
> 52b98a7 (write-index: check and warn when worktree crosses a filesystem
> boundary, 2010-04-04).
> 
> How does the code detect a file system boundary, and where could it go
> wrong?
> 

According to the patch, it checks if the device id recorded from stat(2)
is the same for all files and, if not, warns about it.

It seems that your interpretation of "one partition" differs from that
reported by the kernel. Why that is so, I have no idea.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.